/**
 * 
 */
package org.springblade.cube.model;

import java.io.Serializable;
import java.util.Date;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.core.mp.annotation.TableBizId;
import org.springblade.core.mp.base.TenantAppEntity;

/**
 * @author wookvn
 *
 */
@Data
@TableName("cube_data_permission")
public class CubeDataPermission extends TenantAppEntity implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键ID", name = "kid", required = true)
	@TableId(value = "kid", type = IdType.ASSIGN_ID)
	private Long kid;

	@ApiModelProperty(value = "业务ID", name = "id", required = true)
	@TableField("id")
	@TableBizId("id")
	private Long id;
	
	/**
	 * 数据集权限组名
	 */
	@NotEmpty(message = "数据集权限组名称不能为空")
	@ApiModelProperty("数据集权限组名称")
	private String cubePermName;
	/**
	 * 数据集ID
	 */
	@NotNull(message = "数据集ID不能为空")
	@ApiModelProperty("数据集ID")
	private Long cubeDataId;

	public void setCubeDataId(@NotNull(message = "数据集ID不能为空") Long cubeDataId) {
		this.cubeDataId = cubeDataId;
	}

	/**
	 * 权限组ID
	 */
	@NotNull(message = "权限组ID不能为空")
	@ApiModelProperty("权限组ID")
	private Long dataPermId;
	/**
	 * 过滤器JSON
	 */
	@ApiModelProperty("过滤器JSON")
	private String filterJson;
	
	@ApiModelProperty("过滤器SQL片段[后端自动解析]")
	private String filterSql;
	
	@ApiModelProperty("不包含的字段ID列表[逗号隔开]")
	private String excludeColumnIds;
	
	private Date createTime;
	
	private Long createUserId;

}
