/**
 * 
 */
package org.springblade.cube.model;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.core.mp.annotation.TableBizId;
import org.springblade.core.mp.base.TenantAppEntity;
import org.springblade.core.mp.base.TenantEntity;

/**
 * @author wookvn
 *
 */
@Data
@ApiModel("数据集_SQL视图结构")
@TableName("cube_sql_view")
public class CubeSqlView extends TenantAppEntity implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键ID", name = "kid", required = true)
	@TableId(value = "kid", type = IdType.ASSIGN_ID)
	private Long kid;

	@ApiModelProperty(value = "业务ID", name = "id", required = true)
	@TableField("id")
	@TableBizId("id")
	private Long id;

	
	@ApiModelProperty("SQL名称")
	private String sqlName;
	
	@ApiModelProperty("数据源ID")
	private Long datasourceId;
	
	@ApiModelProperty("视图名【默认是V_SQL_202201021010】")
	private String viewName;
	
	@ApiModelProperty("SQL语句")
	private String sqlStatement;
	
	@JsonSerialize(using = ToStringSerializer.class)
	@ApiModelProperty("创建人ID")
	private Long createUserId;
	
	@ApiModelProperty("创建时间")
	private Date createTime;
}
