/**
 * 
 */
package org.springblade.cube.model;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import org.springblade.core.mp.annotation.TableBizId;
import org.springblade.core.mp.base.TenantAppEntity;
import org.springblade.core.mp.base.TenantEntity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@ApiModel("静态数据表记录")
@TableName("cube_table_static")
public class CubeTableStatic extends TenantAppEntity {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键ID", name = "kid", required = true)
	@TableId(value = "kid", type = IdType.ASSIGN_ID)
	private Long kid;

	@ApiModelProperty(value = "业务ID", name = "id", required = true)
	@TableField("id")
	@TableBizId("id")
	private Long id;
	
	@ApiModelProperty("数据集ID")
	private Long cubeDataId;
	
	@ApiModelProperty("数据源ID")
	private Long datasourceId;
	
	@ApiModelProperty("表名")
	private String tableName;
	
	@ApiModelProperty("表注释")
	private String tableComment;
	
	@ApiModelProperty("创建人")
	private String createBy;
	
	@ApiModelProperty("创建人ID")
	private Long createUserId;
	
	@ApiModelProperty("创建时间")
	private Date createTime;
}
