/**
 * 
 */
package org.springblade.bi.client.factory;

import org.springblade.bi.client.CubeDataClient;
import org.springblade.bi.client.form.*;
import org.springblade.bi.client.model.CubeBrowserSqlModel;
import org.springblade.bi.client.model.CubeDataModel;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import lombok.extern.slf4j.Slf4j;

import java.util.List;

/**
 * @author wookvn
 *
 */
@Slf4j
@Component
public class CubeDataClientFallbackFactory implements FallbackFactory<CubeDataClient> {

	@Override
	public CubeDataClient create(Throwable cause) {
		log.error("CubeDataClient invoke fallback:{}", cause.getMessage());
		return new CubeDataClient() {

			@Override
			public CubeDataModel getById(Long id) {
				return null;
			}

			@Override
			public CubeBrowserSqlModel buildBrowserSql(CubeBrowserSqlForm browserSqlForm) {
				return null;
			}

			@Override
			public boolean changeCubeDataStatus(ChangeCubeDataStatusParams params) {
				return false;
			}

			@Override
			public Long createAggCubeData(AggCubeCreateForm aggCubeCreateForm) {
				return null;
			}

			@Override
			public Boolean copy(AppCopyParams appCopyParams) {return false;}

			@Override
			public Boolean del(AppDelParams appDelParams) {
				return null;
			}

			@Override
			public Long createReportDatasource(AppCreateDatasourceParams appCreateDatasource) {
				return null;
			}

			@Override
			public Boolean delReportDatasource(Long datasourceId) {
				return null;
			}
		};
	}

}
