--1、数据集：增加cube_id字段,初始化将cube_id等于id值
ALTER TABLE `digital_operation_ac`.`cube_data` ADD COLUMN `cube_id` varchar(255) NULL COMMENT '新增数据集ID' AFTER `id`;
UPDATE cube_data SET cube_id = id;

--2、数据源信息:增加ds_id，初始化将id赋值给ds_id
ALTER TABLE `digital_operation_ac`.`report_datasource` ADD COLUMN `ds_id` bigint NULL DEFAULT NULL COMMENT '新增数据源ID' AFTER `id`;
UPDATE report_datasource SET ds_id = id;

--3、数据集权限：cube_data_id修改为bigint类型，删除主键ID，新建id+cube_data_id做为主键
ALTER TABLE `digital_operation_ac`.`cube_data_permission`
    MODIFY COLUMN `cube_data_id` bigint NOT NULL COMMENT '数据集ID' AFTER `cube_workspace_id`,
    DROP PRIMARY KEY,
    ADD PRIMARY KEY (`id`, `cube_data_id`) USING BTREE;

--4、数据集表结构：cube_data_id修改为bigint类型，删除主键ID，新建id+cube_data_id做为主键
ALTER TABLE `digital_operation_ac`.`cube_table_column`
    MODIFY COLUMN `cube_data_id` bigint NOT NULL COMMENT '数据集ID' AFTER `id`,
    DROP PRIMARY KEY,
    ADD PRIMARY KEY (`id`, `cube_data_id`) USING BTREE;

--5、数据集静态数据表：修改datasource_id、cube_data_id类型为bigint,删除主键约束，新建id+datasource_id+cube_data_id做为主键
ALTER TABLE `digital_operation_ac`.`cube_table_static`
    MODIFY COLUMN `datasource_id` bigint NOT NULL COMMENT '数据源ID' AFTER `id`,
    MODIFY COLUMN `cube_data_id` bigint NOT NULL COMMENT '数据集ID' AFTER `datasource_id`,
    DROP PRIMARY KEY,
    ADD PRIMARY KEY (`id`, `datasource_id`, `cube_data_id`) USING BTREE;

--6、数据集：修改datasource_id类型为bigint,删除主键约束，新增id+datasource_id为主键
ALTER TABLE `digital_operation_ac`.`cube_data`
    MODIFY COLUMN `datasource_id` bigint NOT NULL COMMENT '数据源ID' AFTER `workspace_id`,
    DROP PRIMARY KEY,
    ADD PRIMARY KEY (`id`, `datasource_id`) USING BTREE;

--7、数据集：新建索引
ALTER TABLE `digital_operation_ac`.`cube_data` ADD UNIQUE INDEX `cube_id`(`cube_id`, `app_id`);

--8、数据源信息: 新建索引
ALTER TABLE `digital_operation_ac`.`report_datasource` ADD UNIQUE INDEX `ds_id`(`ds_id`, `app_id`);

--9、数据源权限组：新增tenantId和appId
ALTER TABLE `digital_operation_ac`.`report_datasource_permission`
    ADD COLUMN `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '000000' COMMENT '租户id' AFTER `create_user_id`,
    ADD COLUMN `app_id` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL DEFAULT '000000' COMMENT '应用id' AFTER `tenant_id`;

--10、数据集权限: 新增tenantId和appId
ALTER TABLE `digital_operation_ac`.`cube_data_permission`
    ADD COLUMN `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '000000' COMMENT '租户id' AFTER `exclude_column_ids`,
    ADD COLUMN `app_id` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL DEFAULT '000000' COMMENT '应用id' AFTER `tenant_id`;

--11、API接口：删除索引，新增索引
ALTER TABLE `digital_operation_ac`.`data_api`
    DROP INDEX `api_key`,
	ADD UNIQUE INDEX `api_key`(`api_key` ASC, `app_id`) USING BTREE;

--12、数据源权限组：删除索引，新增索引
ALTER TABLE `digital_operation_ac`.`report_datasource_permission`
    DROP INDEX `ds_id`,
    ADD UNIQUE INDEX `ds_id`(`datasource_id` ASC, `data_perm_id` ASC, `app_id`) USING BTREE;
